image: atlassian/default-image:latest

pipelines:
  branches:
    master:
          - step:
              name: 'Deployment to Production'
              deployment: Production
              script:
              - curl http://ipinfo.io/ip
              - pipe: atlassian/ssh-run:0.4.1
                variables:
                  SSH_USER: 'eikahgahh'
                  SERVER: '89.39.7.77'
                  COMMAND: '~/deploy-script/backend.sh'
                  PORT: '15222' 
                  DEBUG: 'true' 
 